<div ng-controller="DistribucionOrdenes" ng-cloak ng-init="init()">
    <nav class="navbar navbar-inverse none" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" ng-init="Navbar1 = true" ng-click="Navbar1 = !Navbar1">
                    <span class="sr-only">
                        Toggle navigation
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                </button>
                <a class="navbar-brand" href="javascript:void(0)">
                <img alt="Usuario" height="100%" src="files/images/favicon.png">
                </a>
            </div>
            <div class="collapse navbar-collapse" ng-class="!Navbar1 && 'in'">
                <ul class="nav navbar-nav navbar-left">
                    <li ng-click="goToInicio()" ng-show="showMenu(&quot;Inicio&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Inicio</a>
                    </li>
                    <li ng-click="goToMapa()" ng-show="showMenu(&quot;Mapa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mapa</a>
                    </li>
                    <li ng-show="showMenu(&quot;Ordenes&quot;)" uib-dropdown class="dropdown  ">
                        <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" uib-dropdown-toggle>Ordenes <span class="caret"></span></a>
                        <ul class="dropdown-menu" role="menu" uib-dropdown-menu>
                            <li class="">
                                <a href="" ng-click="goToBuscarOrdenes()" ng-show="showMenu(&quot;Buscar&quot;)">Buscar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToCargarOrdenes()" ng-show="showMenu(&quot;Cargar&quot;)">Cargar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToDiistribucionOrdenes()" ng-show="showMenu(&quot;Distribución&quot;)">Distribucion</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToEstadoActualOrdenes()" ng-show="showMenu(&quot;Estado Actual&quot;)">Estado Actual</a>
                            </li>
                        </ul>
                    </li>
                    <li ng-click="goToUsuarios()" ng-show="showMenu(&quot;Usuarios&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Usuarios</a>
                    </li>
                    <li ng-click="goToEmpresa()" ng-show="showMenu(&quot;Empresa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Empresa</a>
                    </li>
                    <li ng-click="goToMiCuenta()" ng-show="showMenu(&quot;Mi cuenta&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mi Cuenta</a>
                    </li>
                </ul>
                <button ng-click="salir(true)" ng-show="showMenu(&quot;Salir&quot;)" class="btn btn-danger navbar-btn navbar-right"
                type="button">
                    <span class="ion ion-log-out" style="color: black;">
                    </span>
                    Salir
                </button>
            </div>
        </div>
    </nav>
    <div class="table-responsive">
        <table class="table table-striped table-condensed">
            <tr class="info">
                <td class="info" width="200">
                    <button ng-click="distribuirDia()" ng-hide="diaNoEditable" class="btn-block btn btn-danger"
                    type="button">
                        <span class="ion ion-arrow-expand" style="color: ;">
                        </span>
                        Distribuir a Operadores
                    </button>
                    <!-- bootstraptablecol -->
                    <h3 ng-show="diaNoEditable">
                        Día Asignado
                    </h3>
                </td>
                <td class="info" align="right" width="150">
                    Fecha Asignación
                </td>
                <td>
                    <input type="date" value="{{fechaAsignacionData}}" placeholder="Enter text" ng-change="init(fechaAsignacionModel)"
                    ng-model="fechaAsignacionModel" name="">
                    <button ng-click="init(fechaAsignacionModel)" class="btn btn-default" type="button">
                        <span class="ion ion-loop" style="color: blue;">
                        </span>
                    </button>
                </td>
            </tr>
        </table>
    </div>
    <!-- screen -->
    <label ng-show="ordersNotAssign.length">
        Las siguientes órdenes NO tienen técnico mal asignado:
    </label>
    <span ng-click="verFicha(order._id)" ng-repeat="order in ordersNotAssign" class="label label-warning">
        {{order.codigo}}
    </span>
    <table class="table table-bordered">
        <tr ng-repeat="item in mOperators">
            <td width="60%">
                <table class="table table-bordered table-hover table-condensed" width="300">
                    <tr class="info">
                        <th colspan='10' class=" ">
                            {{item.nombre}} ({{item.cantOrdenes}} órdenes)
                            <a href="" ng-click="goToDistOperator(item.codigo, item.nombre, fechaAsignacionModel)">
                            Ver todas
                            </a>
                        </th>
                    </tr>
                    <tr class="{{orden.color}}" ng-repeat="orden in item.ordenes">
                        <td ng-dblclick="setCenterMap(item.pos, orden.mark, 17)" ng-click="setCenterMap(item.pos, orden.mark, 14)"
                        width="200">
                            <!-- bootstraptablecol -->
                            <h5>
                                {{orden.codigo}}
                            </h5>
                            <!-- bootstraptablecol -->
                            <h6 ng-hide="config.config.pageComponents.hideMaps">
                                {{orden.msgNoPosGPS}}
                            </h6>
                        </td>
                        <td ng-dblclick="setCenterMap(item.pos, orden.mark, 17)" ng-click="setCenterMap(item.pos, orden.mark, 14)">
                            <!-- bootstraptablecol -->
                            <h5>
                                {{orden.tipoServicio}}-{{orden.subTipoServicio}}
                            </h5>
                        </td>
                        <td ng-dblclick="setCenterMap(item.pos, orden.mark, 17)" ng-click="setCenterMap(item.pos, orden.mark, 14)"
                        ng-repeat="item2 in orden.columnValues">
                            <!-- bootstraptablecol -->
                            <h5>
                                {{item2}}
                            </h5>
                        </td>
                        <td ng-dblclick="setCenterMap(item.pos, orden.mark, 17)" ng-click="setCenterMap(item.pos, orden.mark, 14)">
                            <!-- bootstraptablecol -->
                            <h5>
                                {{orden.comentarioCierre}}
                            </h5>
                        </td>
                        <td width="300">
                            <img ng-show="orden.enDispositivo" width="" height="25px" src="files/images/favicon.png"
                            class="img-default" alt="Descargada al dispositivo">
                            <img ng-hide="orden.enDispositivo" width="" height="25px" src="files/images/transparente.png"
                            class="img-default" alt="Descargada al dispositivo">
                            <input type="date" value="{{fechaAsignacionData}}" placeholder="fecha" ng-change="reasignarFecha(orden._id, orden.fechaAsignacionModel)"
                            ng-disabled="orden.ordenNoEditable" min="{{minFechaSelect}}" ng-model="orden.fechaAsignacionModel"
                            name="">
                            <button ng-click="reasignarFechaAssign(orden._id, orden.codigo, item.pos, orden.enDispositivo)"
                            ng-show="orden.ordenReasignable" class="btn btn- btn-xs" type="button">
                                Reasignar
                            </button>
                            <button ng-click="eliminarOrden(orden._id, orden.codigo, item.pos)" ng-show="orden.ordenEliminable"
                            class="btn btn-danger btn-xs" type="button">
                                <span class="ion ion-close-round" style="color: white;">
                                </span>
                            </button>
                        </td>
                    </tr>
                </table>
            </td>
            <td ng-hide="config.config.pageComponents.hideMaps">
                <div class="aio-google-map mymap">
                    <ui-gmap-google-map center="item.mapCtrl" zoom="item.mapCtrl.zoom" pan="false">
                        <ui-gmap-marker coords="orden.mark" idKey="orden.mark.id" options="orden.mark.options"
                        ng-repeat="orden in item.ordenes">
                            <ui-gmap-window coords="{latitude: '40.1451', longitude: '-99.6680'}">
                                <div>
                                    {{orden.mark.title}}
                                </div>
                            </ui-gmap-window>
                        </ui-gmap-marker>
                        <ui-gmap-window coords="{latitude: '40.1451', longitude: '-99.6680'}">
                            <div>
                                HTML content
                            </div>
                        </ui-gmap-window>
                    </ui-gmap-google-map>
                </div>
            </td>
        </tr>
    </table>
</div>